ChangeLog for kdevelop v4.2.81
==============================

* Milian Wolff: set version to 4.2.81
* Milian Wolff: properly lock DUChain before accessing it
* Milian Wolff: don't call setTextModeEnabled on KProcess
* Milian Wolff: fix unit test when run from different directory
* Milian Wolff: import cpp-specific shell buddy test
* Milian Wolff: no need for static QStringList here, make it a class member
* Milian Wolff: fix compile: explicit int->QFlags conversion required on my machine
* Aleix Pol: Make it possible to return the first element of a list by using a negative index.
* Milian Wolff: set version to 4.2.80 for first beta of 4.3
* Milian Wolff: backport from master: extend unit test with case of commented-out include
* Milian Wolff: backport from master: fix: don't confuse linenumbers in firstValidCodeLinesBefore
* Milian Wolff: backport from master: add include file from MissingIncludeComplectionItem near fitting existing include
* Milian Wolff: backport from master: never add missing include item inside conditional rpp-#if block
* Aleix Pol: Read the cmake cache after instanciating it.
* Milian Wolff: set plugin version to 13 in preparation of 4.3 release
* Niko Sams: gdb process selection: remember state of dialog
* Niko Sams: output exit code when debugee exits with a exit code != 0
* Niko Sams: show error message explaining that gdb crashed
* Niko Sams: reenable autoUpdate: only update locals and watches when visible in the UI
* Niko Sams: less debug output
* Aleix Pol: Fix some regressions.
* Aleix Pol: oops! fix compilation
* Aleix Pol: Properly find endwhile, reuse foreach code. Solves a problem when running TopologicalSort.cmake.
* Aleix Pol: Don't crash because of a too small index.
* David Faure: Fix compilation with strict iterators
* Aleix Pol: In the cmake preferences, after reconfiguring the project, reread the CMakeCache.txt file.
* Aleix Pol: Small code cosmetics changes
* Aleix Pol: Support scopes in CMake support Only implemented for functions for the moment.
* Aleix Pol: support for file(STRINGS)
* Aleix Pol: Fix test, we just have the executable and uninstall targets in the kde4 test.
* Aleix Pol: in the file_* commands store more search flags
* Aleix Pol: Add all the versioning variables in the find_package() calls. In math(), don't return float values, just integers.
* Aleix Pol: Fix foreach with empty lists
* Nicolás Alvarez: Fix build error when searching for oktetakasten v0.
* David nolden: disable preview and add description for kdev_format_sources.sh style
* Friedrich W. H. Kossebau: Fixes: add missing file oktetaglobal.h
* Friedrich W. H. Kossebau: Changes: compile Okteta plugin also with libs from Okteta 0.8
* Friedrich W. H. Kossebau: use const-ref parameter for slot KDEProviderWidget::projectIndexChanged(QModelIndex)
* David E. Narváez: Replace Projects QComboBox by Filtered QListView in KDE Provider
* Aleix Pol: In cmake, Don't reuse declarations if they are not in a cmake script.
* Aleix Pol: Add support for properties appending in set_property.
* Aleix Pol: Fix OptionAST precondition.
* David E. Narváez: Properly Connect Protocol Config Widget in KDE Provider
* Aleix Pol: Remove useless debug info.
* Aleix Pol: Prefer files in targets instead of those in directories. Targets may store relevant information.
* Aleix Pol: Support compile definitions in target properties.
* Aleix Pol: Commit changes in cmakeconfig.kcfg.
* Aleix Pol: Fix integration with custom output paths in CMake.
* Aleix Pol: Make it possible to define some environment variables to be run on cmake executions.
* David Nolden: Correctly match tabs vs. spaces in the context while formatting, add tests
* Bernd Buschinski: Fix typo in commit b405444 'unit' -> 'uint'
* Niko Sams: fix pretty printing of qt 4.7 QList<QPair<int, int> >
* Milian Wolff: const& and cleanup
* Milian Wolff: add first unit test for MissingIncludeCompletionItem
* Milian Wolff: const&
* Milian Wolff: const&
* Milian Wolff: proper identifiers
* Milian Wolff: fix code completion after multiple occurrences of public,private or protected
* Milian Wolff: optimize: take min to prevent useless repeated iteration
* Andreas Pakulat: Remove duplicated include-directories.
* Andreas Pakulat: Fix providing defines for cmake-projects
* Milian Wolff: cleanup and add warning on usage
* Milian Wolff: c++2011 support: proper type deduction in auto range-based-for
* David Nolden: Adapt to changes in kdevplatform, and improve formatting-parameter extraction of custom-script formatter.
* David Nolden: Adapt to changes in kdevplatform, and improve formatting-parameter extraction of custom-script formatter.
* Milian Wolff: rebase custom makefile manager on abstractfilemanager
* Milian Wolff: add unit test showing that multibyte chars in comments also break our parser
* Milian Wolff: reenable unit tests for breakage on multibyte cstrings
* Milian Wolff: fix keepAst handling if no update ctx was passed
* Aleix Pol: Fixed test. FindQt4 returns QT4_FOUND instead of Qt4_FOUND.
* David Nolden: Add tests for the fuzzy matching of formatted text
* Aleix Pol: Improved QtHelp's context menu.
* David Nolden: Update formatting: Indent after switch
* David Nolden: update formatter config: enforce spaces around operators
* David Nolden: update style
* David Nolden: Extract indentation information for the editor by formatting sample
* David Nolden: Use the formatter config defined in the root directory
* David Nolden: Improve the formatting config a bit
* David Nolden: Ignore newlines behind function-definition braces
* David Nolden: Add kdev_format_source.sh configuration somewhat resembling the current formatting.
* David nolden: Add a consistent formatting config for kdev_format_source.sh based on uncrustify for the cpp language subdir.
* David nolden: Adapt to changes in kdevplatform, give the original file-path as $FILE to scripts.
* David nolden: Adapt to changes in kdevplatform, and reach the file path to custom formatter scripts through $FILE.
* David Nolden: Rename the indent plugin to customscript.
* Aleix Pol: Solve some problem with config modules.
* Aleix Pol: Make sure it's a file and not a directory, otherwise it was wrong when checkking for .../QtCore/QtCore
* Aleix Pol: Add proper support for cmake package components
* Aleix Pol: Change some constructions like if(smth.contains(key)) ...smth[key] to iterators.
* Aleix Pol: Properly find cmake config files
* David nolden: Gracefully deal with not finding a CMakeFolderItem
* Andreas Pakulat: Don't require cmake-folders for source-files.
* Andreas Pakulat: Fix crash when non-cmake folder item is passed to parse.
* David nolden: Add extensive tests for the improved context-matching functionality of the source formatters.
* David Nolden: Don't use the "KeepIndentation" mode for formatting inserted code, because the inserted code is indented badly.
* David Nolden: Always use the context while formatting, don't care about whitespaces, extracting the result now works without problems anyway.
* Milian Wolff: fix loss of top context due to recursive expressionvisitor::parse calls
* David Nolden: Make custom formatter-scripts using $TMPFILE work properly, and make the edit-dialog more readable.
* Milian Wolff: cleanup ExpressionParser
* Milian Wolff: constify DUContext* and TopDUContext* arguments where appropriate
* Milian Wolff: actually dump node - less code, better output
* Milian Wolff: make it simpler to extend the ast without introducing nasty crashes by improving the expressionvisitor api
* Milian Wolff: also use explicit debug area here
* Milian Wolff: add dumpNode function to parse session
* Milian Wolff: add assertion
* Milian Wolff: remove language-agnostic unit tests, they are now in kdevplatform
* Milian Wolff: fix: properly call pushContext in expressionvisitor for initializer-lists
* Milian Wolff: c++11 support: folow spec and use/introduce expression-list where required
* Milian Wolff: remove Kind_ prefix from dumptree output
* Milian Wolff: c++11 support: properly honor braced-init-list in explicit ctor uses
* Milian Wolff: c++11 support: properly honor braced-init-list in custom operator[]
* Milian Wolff: c++11 support: properly handle braced-init-list in jump-statement / after return
* Milian Wolff: c++11 support: properly handle braced-init-list in new-initializer
* Milian Wolff: c++11 support: initial support for initializer lists
* Bernd Buschinski: Allow spaces in paths in warnings
* Milian Wolff: properly use APPNAMEID where appropriate
* Maciek Zarzycki: Fix pretty printer for QString.
* David Nolden: Use the contentContextFromProxyContext implementation from duchainutils.h
* David Nolden: Work-around a possible crash
* Maciek Zarzycki: Fix python import path in UT for qt pretty printers
* David E. Narváez: Add Window Manager Session Id to Restore Command
* Jonathan Schmidt-Dominé: KDE 4 Workspace is now optional (without it, the process-selection dialog for attaching gdb does not get built)
* Albert Astals Cid: Adapt Messages.sh to work with files with spaces
* Niko Sams: try to avoid duplicating breakpoints from custom gdb init script
* Niko Sams: correctly quote paths when setting breakpoints
* Alexander Dymo: Store full path to kdevelop executable in the x11 session restore command. If you have two or more kdevelop's installed (for example, self-compiled in home dir and distribution-provided in /usr), session restoration will launch the version you actually used. Before it would launch only the one in /usr.
* Nicolás Alvarez: Fix comment typo.
* Alexandre Courbot: Make include paths not starting with '/' relative
* Aleix Pol: Get the URL from the item instead of from a dynamic_cast'ed item, just in case.
* Aleix Pol: Make some code a little less complicated.
* Aleix Pol: Remove wrong and unused forward declarations.
* Aleix Pol: Make it possible again to compile just one file, use CMakeFolderItem instead of ProjectFolderItem to pass the relative path.
* Aleix Pol: Export the cmakemodelitems in the cmake library.
* Aleix Pol: Fix problem that made all files to trigger the "unfinished function" problem, now it should be only in the actually problemati cases.
* Aleix Pol: Fix problem that made all files to trigger the "unfinished function" problem, now it should be only in the actually problemati cases.
* Milian Wolff: use readlock here, should be enough
* Milian Wolff: optimize: use new IndexedString::indexForString in tokenizeFromByteArray
* Milian Wolff: properly add labelHighlight to include navigation context
* Milian Wolff: const &
* Milian Wolff: optimize: compare indexes directly, no need to get the actual string from disk
* Aleix Pol: If a while expression is unfinished, don't execute it at all.
* Aleix Pol: If a while expression is unfinished, don't execute it at all.
* Milian Wolff: don't reuse QDebug instance, would lead to improper grouping of output
* Yuri Chornoivan: Various fixes in docs
* Yuri Chornoivan: use entities for KDevelop
* Yuri Chornoivan: remove extra pipes
* Yuri Chornoivan: polish some rough edges in documentation (my bad)
* Olivier JG: In RangeForText fix possible infinite loop and don't include whitespace in text range Change followUses to only eat whitespace when removing a CMakeLists entry
* Burkhard Lück: remove X-DocPath from kdevelop_ps.desktop to get it out of khelpcenters navigation tree
* Aleix Pol: Adapt to kdesdk's changes.
* Olivier JG: Use QList by index instead of iterators which can be invalidated in some cases. Add test. BUG:271518
* Olivier JG: Include symlinks in list of entries still existing so the associated item won't get deleted. BUG: 278444
* David Nolden: Adapt to changes in kdevplatform.
* Yuri Chornoivan: fix </para><para> tuples pointed by Burkhard Lück
* Yuri Chornoivan: CCBUG:279943 Add new KDevelop 4  documentation, converted from UserBase.
* Olivier JG: Rework CPP code completion context locking
* Olivier JG: Refactor completionItems function into accessType item collectors. Fixes potential deadlock.
* Aleix Pol: Remove old Role for the KDEProviderModel. Fix the kde provider test.
* Aleix Pol: Make the cmakemanagertest to pass too. First time in many time (years maybe) I see all kdevcmake tests passing. \o/ yay
* Aleix Pol: Fix cmakeprojectvisitortest so that it passes too.
* Aleix Pol: Drop support for importing SVN projects.
* Aleix Pol: Make cmakeloadproject test pass again
* Aleix Pol: Fix assertion to prevent some crash when running the tests.
* Aleix Pol: Debug the renamed signals emitting so that it works fine.
* Aleix Pol: Eventually emit the file/folderRenamed signal.
* Aleix Pol: Don't use the item after editing the cmakelists file when renaming.
* Aleix Pol: Always pass the arguments specified at builddir creation when reconfiguring a build directory.
* Aleix Pol: Always pass the arguments specified at builddir creation when reconfiguring a build directory.
* Aleix Pol: const-ref some methods
* Aleix Pol: Fix some CMake Dialog Caption's i18n call.
* Aleix Pol: Minimal code cleanup.
* Aleix Pol: Improve usability in the modifying CMakeLists.txt files process. Instead of changing the whole text, distinguish between replacing and removal.
* Aleix Pol: Minimal code cleanup.
* Milian Wolff: fix crash when encountering deleted function in top context
* Milian Wolff: Revert "set explicit type AST::NODE_KIND on AST::kind"
* Aleix Pol: Normalize slots and signals in connects using qt's normalize tool.
* Montel Laurent: fix compile with QT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS
* Aleix Pol: Delay QtHelp plugin initialization. Startup feels a little faster, all subjective.
* Olivier JG: Revert "Make cmake configuration work (using per-project cmake settings) for"
* Aleix Pol: Don't link against Qt designer, it's not needed anymore. AFAIR it hasn't been for long time, somebody correct me please, if I'm wrong.
* Aleix Pol: Just use the project() method, I guess the only reason was I didn't know the API properly. The change looks fine.
* Andreas Pakulat: Fix creation of builddirs with custom cmake args
* Andreas Pakulat: Add todo about code I don't understand.
* Andreas Pakulat: Fix cleanup of cache-model
* Olivier JG: Check if item is still valid before starting build, fix untranslatable string BUG:271854
* Olivier JG: Make cmake configuration work (using per-project cmake settings) for adding and removing build dirs
* Guillaume de Bure: backport from master: Replace -c switch in kdesu by --
* Milian Wolff: c++0x support: fix assert in TypeASTVisitor when adding TrailingReturnType to LambdaExpression
* Milian Wolff: c++0x support: add expected failure unit tests for missing parser support of function pointers paired with pack expansion
* Milian Wolff: c++0x support: fix pack-exansion in template argument
* Milian Wolff: cleanup and unify list of include dirs
* Milian Wolff: properly point to subfolderfor CMAKE_CURRENT_BINARY_DIR like cmake does
* Milian Wolff: don't require user-interaction (CMakeBuildDirChooser dialog) in CMakeManagerTest
* Milian Wolff: include required headers in icmakemanager, to make it include-order independent
* Milian Wolff: remove 'Quickopen not found' warning
* Olivier JG: Fix DUChain double-lock assert/crash when visiting certain Ptr-to-member cases Thanks to Povaddict for tracking down and the test.
* David Nolden: Remove obsolete comment
* Pino Toscano: i18n: do not extract messages for sources in "tests" subdirectories
* Milian Wolff: cleanup and fixup GdbTest
* Milian Wolff: fix testWithBuildDirProject when run on symlinked source folder
* Milian Wolff: warning instead of DUChain problem for 'Build manager did not return an include path'
* Milian Wolff: simplify/optimize code and fix compiler warning about unsued var scope
* Milian Wolff: add note on possible bug due to shadowing of variable by local in FOREACH_FUNCTION macro
* Milian Wolff: fix various compiler warnings
* Milian Wolff: fix compile time warning and possible bug due to == instead of =
* Milian Wolff: set explicit type AST::NODE_KIND on AST::kind
* Milian Wolff: add cpp-parser test utility
* Milian Wolff: squeeze token stream at end of tokenize to reduce memory consumption
* Milian Wolff: return empty string in Token::symbol* when size is empty
* Milian Wolff: fix wrong iteration that could lead to asserts
* David Nolden: Adapt to changes in kdevplatform
* Milian Wolff: fix windows compilation by removing a reference to a (removed) variable named instpath.
* Milian Wolff: optimize: remove new lambda member from PrimaryExpressionAST and handle it differently
* Milian Wolff: c++2011 support: parse lambda expressions
* Milian Wolff: c++2011 support: mark constexpr variables as const in the DUChain
* Albert Astals Cid: Add ExtraDestkop.sh files
* Milian Wolff: c++2011 support: DUChain support for trailing return type
* Milian Wolff: small addition to testDecltype
* Milian Wolff: c++2011 support: introduce TrailingReturnTypeAST and properly handle abstract declarator therein
* Milian Wolff: cpp2011 support: rough, experimental support for the new alternative function declarator syntax
* Milian Wolff: cpp2011 support: proper support for decltype((a->x)) if 'a' is a pointer to const
* Milian Wolff: cpp2011 support: fixup decltype support: additional parens only add a ref, not a const ref
* Milian Wolff: proper support for decltype in typebuilder/visitor
* Milian Wolff: fix regression in elaborate enum type specifiers due to opaque enum declaration
* Milian Wolff: fix regression: only accept inline token for parseNamespace when followed by namespace token
* Milian Wolff: support arbitrary order of type-specifier and storage-class-specifier
* Milian Wolff: get rid of custom container code in TokenStream and reuse QVector<Token>
* Milian Wolff: c++2011 support: handle decltype when parsing a SimpleTypeSpecifier
* Milian Wolff: Revert "enable final on the cpp subtree."
* Milian Wolff: Revert "rewrite of rxx_allocator.h"
* Olivier JG: Create a context for switch expression, add special completion for "case" BUG: 184185 REVIEW: 101671
* Floris Ruijter: rewrite of rxx_allocator.h
* Floris Ruijter: enable final on the cpp subtree.
* Friedrich W. H. Kossebau: Fixes: CamelCase headers of Okteta/Kasten libs will not be found if installed to other prefix then kdelibs ones
* Friedrich W. H. Kossebau: Changed: removed no longer needed check for KDE_VERSION VERSION_GREATER 4.4.50
* Friedrich W. H. Kossebau: Changes: Okteta is in kdesdk since KDE SC 4.6
* Friedrich W. H. Kossebau: Fixes: CamelCase headers of Okteta/Kasten libs will not be found if installed to other prefix then kdelibs ones
* Milian Wolff: c++2011 support: handle inline namespaces in parser
* Milian Wolff: unbreak utf8 string literal parsing
* Milian Wolff: use token_inline in skipUntilDeclaration for improved error recovery
* Milian Wolff: c++2011 support: handle nullptr in parser and code completion
* Friedrich W. H. Kossebau: Changed: removed no longer needed check for KDE_VERSION VERSION_GREATER 4.4.50
* Friedrich W. H. Kossebau: Changes: Okteta is in kdesdk since KDE SC 4.6
* Milian Wolff: use context that is checked in the conditional instead of member var
* David nolden: Fix operator-name for right-shift
* Niko Sams: Fix inserting breakpoints for remote debugging
* Nicolás Alvarez: Update copyright year in KAboutData.
* Milian Wolff: c++2011: add support for raw strings in the lexer
* Milian Wolff: share ast- and problem-dumping code
* Milian Wolff: c++2011: add support for utf8 string literals
* Milian Wolff: adapt to kdevplatform changes
* Glen Kaukola: Bug 260586 - JJ: remove QPointer usage, port to QWeakPointer
* Milian Wolff: Add a kdevelop --ps desktop file
* Milian Wolff: cpp2011: support new character types properly in expression parser
* Milian Wolff: c++2011: parser support for char16_t and char32_t character types
* Milian Wolff: c++2011 support: handle right-shift token after template as two distinct right angle brackets
* Milian Wolff: simplify code, defaultVisitor won't do anything if the node is null anyways
* Milian Wolff: remove superflous right_brace member / extra union from cpp Token
* Aleix Pol: Add unit test for checking Declaration::hasUses in the c++ implementation
* Milian Wolff: proper typeid operator support
* Milian Wolff: add new AST nodes to dumptree string list
* Milian Wolff: cpp2011: add support for opaque-enum-declarations
* Niko Sams: add test for run gdb script option
* Steffen Ohrendorf: Enum class support
* Milian Wolff: c++2011: parser support for constexpr, DUChain integration still pending
* Milian Wolff: add missing token text for new static_assert token
* Milian Wolff: c++2011: add support for static_assert
* Milian Wolff: fix crash during code completion in keepRemainingWord
* Milian Wolff: fix implementation of defaulted/deleted functions
* Milian Wolff: use better examples in parser test for default/deleted functions
* Milian Wolff: also mark deleted functions as definition to follow the spec
* Milian Wolff: report error when code tries to use deleted function
* Milian Wolff: track default/delete flag of member functions in the DUChain, add test
* Aleix Pol: Made the cmakeprojectvisitortest to pass. - Solved issue with get_filename_components - Solved a bug that appeared after that in glob management.
* Aleix Pol: Use the concatenation defines, it seems a little faster.
* Aleix Pol: Use the variables looked up by CMake to find the files.
* Aleix Pol: Move the runner together with the app. It makes sense they both to be together since the main.cpp implements the used syntax.
* Olivier JG: Don't overwrite "inline" when implementing function. BUG: 233816
* Niko Sams: Quote paths to not fail on paths with spaces
* Niko Sams: Update libstd pretty printers from gcc repository BUG: 253011
* Niko Sams: When starting gdb read breakpoints and merge them with existing ones
* Niko Sams: add new gdb test, works as expected (*puh*)
* Volker Krause: compile
* Niko Sams: fix test, asserted in katedocument.cpp:830
* Niko Sams: fix testCommandOrderFastStepping, sometimes the breakpoint was hit twice as it's a for loop
* Niko Sams: build debugeeq, fixes test
* Milian Wolff: Revert "Revert "pass -std=c++0x to gcc when asking for default macros""
* Milian Wolff: remove trailing semicolon after function body
* Milian Wolff: variadic templates: support sizeof...() in parser
* Gerhard Stengel: Added missing i18n call in manpage plugin
* Sebastian Kügler: add runner to build
* Sebastian Kügler: New KDevelop sessions runnner
* Olivier JG: Allow enum best-matches for binary operator functions BUG: 271083
* Olivier JG: Get proper completion for "friend" and "friend class", add tests BUG: 271079
* Olivier JG: Remove qDebug lines from testClearComments
* Olivier JG: Add tests to cpp code completion to check for correct removal of comments.
* Niko Sams: Fix Internal Debugger Error when clicking step into too fast
* Niko Sams: correctly insert :: during codecompletion executing
* Niko Sams: add tests for code completion execution
* Olivier JG: Implement moveFilesAndFolders for custommakemanager
* Gerhard Stengel: added missing script to extract translations in manpage plugin
* Niko Sams: simplify QMap printer, use inferior function call to get payload
* Niko Sams: fix the last test, this functionname apperently changes, no need to verify it
* Niko Sams: fix test, signal signature changed
* Niko Sams: fix the next test
* Niko Sams: fix another test testVariablesLocalsStruct
* Niko Sams: fix pretty printing for QMap<QString, bool>
* Aleix Pol: Don't show the CTest targets in the project model.
* Alexander Dymo: Remove "Show top dock" action from the "Window" menu: platform doesn't allow toolviews to be placed in top dock areas
* Niko Sams: When executing codecompletion item try to be smart and don't always delete following text
* Aleix Pol: Fix problem in VERSION_ comparisons when both sides had different sizes
* Aleix Pol: Mess with the project reloading again. Remove the _ugly_ deleteWatched eventloop-based recursion.
* Niko Sams: adapt to kdevplatform change
* Niko Sams: fix another test
* Niko Sams: fix testBreakOnWriteWithConditionBreakpoint test
* Niko Sams: fix testBreakOnWriteBreakpoint test
* Aleix Pol: Added the new action provided by the KDevPlatform in order to commit from the main window UI
* Milian Wolff: variadic template parser support: pack expansion in exception specification (func() throw(...))
* Milian Wolff: variadic template parser support: pack-expansion in initializer clause / list
* Milian Wolff: variadic template parser support: pack-expansion inside mem-initlist, i.e. to pass elems to parent ctor
* Milian Wolff: extend and fix unit tests for variadic templates
* Milian Wolff: variadic template parser support: pack expansion in function call
* Milian Wolff: variadic template parser support: pack expansion in mem-initlist
* Milian Wolff: variadic template parser support: pack expansion in declarator
* Milian Wolff: variadic templates: pack expansion support in base-specifier
* Milian Wolff: support variadic template parameters in the parser
* Milian Wolff: variadic template parser support in template arguments
* Milian Wolff: add unit tests for currently missing support for variadic templates in the parser
* Milian Wolff: add parser support for default and deleted functions
* Milian Wolff: add DUChain support for rvalue references
* David nolden: Make kdevelop_attach world readable CCBUG: 274751
* David nolden: Make kdevelop_attach world executable, so that it also works when installed by the root user. BUG: 274751
* Milian Wolff: parser support for rvalue references
* Milian Wolff: Revert "pass -std=c++0x to gcc when asking for default macros"
* Milian Wolff: fix type association in nested namespace and multiple matches for an unqualified identifier
* Milian Wolff: add testcase for wrong type association in case of nested namespaces
* David Nolden: Fix a problem where the contents of class-specifiers was not correctly processed by the use-builder when they were followed by init-declarations (Example: "struct A { int m; } a;"
* Anne-Marie Mahfouf: Fix placeholder
* Anne-Marie Mahfouf: Fix also test folder placeholder of the template
* Anne-Marie Mahfouf: Fix placeholders of template so it works
* Milian Wolff: duchain test coverage of range-based-for implementation
* Milian Wolff: add parser support for range-based for
* Milian Wolff: add unit test for range based for (still failing)
* Milian Wolff: remove obsolete mem pool passing, handled internally
* Milian Wolff: reenable testParseFile
* Milian Wolff: cleanup test_parser a bit into header and impl, esp. for upcoming c++0x tests
* Milian Wolff: pass -std=c++0x to gcc when asking for default macros
* Olivier JG: This time it's const for real.
* Olivier JG: Pass consts refs to qlists in Project interfaces
* David nolden: Don't use the deprecated cache-enabler which was removed
* Olivier JG: Remove useless include.
* Konstantin Karganov: Use fetchStep constant when fetching variable children.
* Guillaume de Bure: Replace -c switch in kdesu by --
* Olivier JG: Added move support to cmake, some refactoring.
* David nolden: Increase the timeout to 30 seconds. 10s is simply not enough when working on highly loaded machines and/or cold disk-caches.
* Milian Wolff: decrease process timeout in include path resolver to 10 seconds from 40k...
* Dmitry Risenberg: Fix peeking in astyle string iterator.
* David nolden: Fix the problem that sometimes the input stream could be read over its end, leading to endless-loops or potentially even crashes. This could also be fixed by appending zeroes to the input, which would be the safer (but uglier) solution.
* Dmitry Risenberg: Recognize predefined styles in indent plugin.
* Dmitry Risenberg: Signal when all variable children have been fetched - related to dc0b30aab75c48e03f06062777781bd17e84907b in kdevplatform.
* Milian Wolff: fix code completion after public: protected: and private: keywords
* Milian Wolff: better try to simulate KDELibs and Qt coding styles in predefined AStyle settings
* Martin Heide: C++ plugin implementation of IBuddyDocumentFinder extension
* Dmitry Risenberg: Respect base class constructor arguments when code-completing a constructor.
* David nolden: Fix the rename assistant to not show itself after a global rename has already been performed
* Alexander Potashev: fix formatting again: remove a few "<br />" tags
* Montel Laurent: Add missing i18n
* Montel Laurent: Add missing i18n
* Montel Laurent: Add missing i18n
* Dmitry Risenberg: Output debug info if slaves require more features than file itself.
* Milian Wolff: fix compile, remove include of obsolete file
* Aleix Pol: Replace the full word when completing paths.
* Aleix Pol: Use proper help index naming as suggested by the following bug report.
* Andreas Holzammer: for msvc use the NMake Makefiles generator
* Andreas Holzammer: for msvc the make command is nmake
* Andreas Holzammer: Fix standard include dirs and macros under Windows This patch enables Kdevelop to find the include directories and standard macros under Windows.
* Floris Ruijter: move memorypool.h includes from headers to .cpps
* Floris Ruijter: preallocating the preprocessedcontets based on the input speeds up the tokenization from bytearray
* Manuel Massing: cmake output parsing: remove "potential_cd" ActionItem
* David nolden: Add a TypeUtils::removeConstModifier function to simplify handing of const modifiers when comparing. Fix some places where the const modifier was wrongly read from the reference-type instead of the type itself.
* David nolden: Move the 'const' stripping functionality of shortenedTypeString into stripType, so that it also works with constant values. Add test.
* David nolden: Revert "run generated 'create definition' and 'override' code through source formatter before insertion"
* Milian Wolff: run generated 'create definition' and 'override' code through source formatter before insertion
* Milian Wolff: properly strip const-ref types, add test
* Milian Wolff: ! operator takes precedence over & operator, add proper parens
* Milian Wolff: fix conditional to properly set ptr align UI in astyle settings
* Milian Wolff: improve formatting sample to make NoChange of ptr alignment better visible
* Manuel Massing: Fixes MakeOutput item urls for cmake builds which use relative paths.
* Andreas Holzammer: include iterator include iterator because its not imported standard anymore
* Andreas Holzammer: auto_ptr is in the memory header exchange include because in windows there is no auto_ptr.h, use memory instead.
* Milian Wolff: fix regression: make sure we never try to find declarations for empty identifier
* Milian Wolff: revert unrelated changeset that actually fails to compile... sorry
* Milian Wolff: fix stripPrefixes for aliases of nested namespaces (using namespace a::b;)
* Manuel Massing: Make build output which come with the necessary filenumber information clickable, even if it is only marked as "note". This is aimed at gcc, which lists candidates to a non-matching function call via "note" messages.
* Montel Laurent: Remove excutable attribute
* Julien Desgats: MakeBuilder: check that folder really exist before starting process
* Milian Wolff: properly shorten type strings when nested namespaces are aliased
* Yuri Chornoivan: fix formatting: add spaces, replace <p/> with <br />.
* David nolden: - Transform the "indent" plugin into a "custom script" plugin, with the old GNU indent configurations as presets, but arbitrary scripts can now be used for formatting. - The source-code can be passed to the script through a file instead of standard input/output This makes it possible to integrate powerful formatters like uncrustify, or the astyle command-line tool, where formatting options can easily be shared by team members.
* David nolden: Move functionality into kdevplatform/util
* David nolden: - Make the lexer more robust, and don't let it ever produce empty identifiers. - Fix the parser test. Also, reset the problem-list whenever parsing a new file.
* Nicolás Alvarez: Fix typo in variable name.
* Montel Laurent: Add missing i18n
* Montel Laurent: Add missing i18n
* Olivier JG: Patch by Floris Ruijter, adding support for the pointer to member operator.
* David nolden: Add the starter script for the shell control environment. It can be started by calling "kdevelop_attach -s ..." or similar, allowing the standard KDevelop session-choosing parameters. In future, we should automatically start this in integrated konsole shells.
* Olivier JG: Add testMacroDeclarationOrder to test_cppcodegen.
* Jonathan Schmidt-Dominé: Preprocessor-unit-tests for invalid code
* Jonathan Schmidt-Dominé: Additional preprocessor-unit-tests, some tests with QEXPECT_FAIL
* Olivier JG: Allow switch statement without brackets, add tests. BUG: 204665
* Olivier JG: Add tests to textExpressionBefore for empty and whitespace expressions.
* Olivier JG: Fix crash when expression is whitespace
* Olivier JG: Remove cpp/stringhelpers.{cpp|h} and some other stale code. Rewrite expressionAt into expressionBefore and add tests for it.
* Milian Wolff: test case for shortenedTypeString (passes)
* Milian Wolff: add preliminary Qt and KDELibs coding styles
* Dmitry Risenberg: Fix incorrect handling of <projectname>_SOURCE_DIR by CMake manager. BUG: 260958
* Aleix Pol: Adapt to the new API in kdevplatform. Use anongit for cloning.
* Milian Wolff: share pseudo-static members
* David nolden: Don't explicity deal with the foreground lock any more. The foreground lock cares about this by itself now.
* Milian Wolff: add support for PointerAlignment (No Change, Name, Middle, Type) in astyle formatter
* Milian Wolff: add new formatting styles
* David nolden: - Improve the missing-declaration assistant so that it uses nice initial names for function-arguments, deduced from the names of the used declarations. for example, when calling a.test(myParam), the declared function will be "void test(int myParam)" instead of "void test(int param1)". - Use the safe IndexedDeclaration instead of Declaration* in OverloadResolver::Parameter
* Milian Wolff: add support for Stroustrup and Horstmann bracket modes
* Milian Wolff: fix lib (I notified the maintainer) for reusage of same class by removing static members
* Milian Wolff: update our AStyle lib to latest release v2.01
* Milian Wolff: split indent and astyler formatter plugins into distinct folders
* David nolden: - Don't show manpage documentation for declarations that are not in /usr/ - Don't show manpage documentation for declarations that are in the current project It was very annoying to see manpage documentation just because the function-name accidentally matches something that has a manpage (for example "test")
* Milian Wolff: update plugin version to 12 for what will become 4.3
* Andrew Coles: Proof-reading:
* David Nolden: Adapt to changes in kdevplatform.
* David nolden: Insert new declarations with exactly the same indentation as the surrounding declarations.
* Benjamin Port: Take in consideration all urls, not only the first one
* Olivier JG: Remove commented code from expresionAt function.
* David Nolden: Prefer the proxy context when taking include paths from another file in the same directory.
* David Nolden: Fix a seldom crash that could happen while updating when one of the imported top-contexts has become invalid for an uknown reason.
* David Nolden: Make sure that we request the proxy context if we need it. Not relevant in the currently active simplified matching mode though.
* David Nolden: * Use rich text to nicely highlight the missing-declaration assistant actions * Fix the missing declaration assistant actions: Instead of "Declare var as: | local int | public int | private int | Hide" Show "Declare 'int var' as: | local variable | public variable in ContainerClass | private variable in ContaineClass | Hide"
* David nolden: Properly skip hexadecimal numbers in pp_skip_number. The problem is that everything starting at the "x" is pre-tokenized into one IndexedString by tokenizeFromByteArray, so we have to handle the case that the input is not a single character. BUG: 257696
* Benjamin Port: Modify okteta plugin to display context menu action in file manager only for directories
* Olivier JG: Refactor some of cpp code completion context, fix a few things, add tests.
* David Nolden: Fix code-completion within incomplete function-macros, like "Q_ASSERT("
* Dmitry Risenberg: Fix duplicate brackets insertion when executing completion for a function.
* David Nolden: Fix a very rare crash
* Dmitry Risenberg: Fix missing dependency for QNetworkAccessManager
* David Nolden: Fix the codegen test using a global foreground lock. Seems like the whole test wasn't functional since the movingranges port. Important: This test has to be run whenever something has been changed on the C++ support or on the language architecture, because it is the only one which uses the real kdevplatform language architecture. * Add a test that verifies the persistence of IndexedDeclaration across updates. The test succeeds after the last changes to kdevplatform.
* Aleix Pol: Added first approach to KDE Projects support implementation. Now it's mostly working, there are remaining usability issues.
* Nathanaël Restori: Convert QPointer in QWeakPointer
* Aleix Pol: Fix the CMakeManagerTest so that it makes something meaningful at least.
* Aleix Pol: Reuse Identifier instances.
* Aleix Pol: Store all cmake functions with a lowercase identifier, that way we don't have to keep calling tolower all the time.
* Aleix Pol: Disable wrong test. CMake wouldn't pass this test, so kdev doesn't either.
* Aleix Pol: Fix buggy precondition.
* Aleix Pol: Reduce a little the logic in include_directories, for readability.
* Aleix Pol: Don't make case insensitive arguments that shouldn't.
* Aleix Pol: Don't make case insensitive something that should be.
* Aleix Pol: Remove more unused dead code.
* Aleix Pol: Remove some code that has been dead for years.
* Aleix Pol: Improve a little consts in the scaping algorithm. Remove a element lookup.
* Aleix Pol: Change else-if sequence into switch. Improves readability and it's slightly faster (the point is that it's not slower :)).
* Aleix Pol: Don't check if the character is present before splitting. It's a useless optimization (a de-optimization -.-)
* Aleix Pol: Reuse Identifier instance.
* Aleix Pol: Just cleanup parent contexts when we are reusing them. Makes first parsing a little faster.
* Milian Wolff: make it possible to configure the environment from the makebuilder config kcm ui
* Milian Wolff: Revert "Revert "split KCM and Plugin of QtHelpPlugin, fixes crash when unloading the plugin and accessing the KCM""
* Andreas Pakulat: Revert "split KCM and Plugin of QtHelpPlugin, fixes crash when unloading the plugin and accessing the KCM"
* Milian Wolff: sort: put qthelp at end
* Milian Wolff: --debug
* Milian Wolff: don't load qthelp kcm if plugin is disabled
* Milian Wolff: split KCM and Plugin of QtHelpPlugin, fixes crash when unloading the plugin and accessing the KCM
* Olivier JG: Make the parser check for signals and slots after an assignment. Add tests.
* Milian Wolff: update splash screen for what will become 4.3 (I don't want to forget that again...)
* Milian Wolff: update splashscreen for 4.2
* Olivier JG: Add tests for long long int data type.
* Milian Wolff: set version to 4.2.60 / expect kdevplatform 1.2.60 for what will become kdev 4.3
